# LSVSupply

### Description

action for tracking users supply within the LSV ecosystem

### Action ID

`0x2b24ec36`

### SDK Action

```ts
const lSVSupplyAction = new dfs.actions.lsv.LSVSupplyAction(
    protocol,
    token,
    amount
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param protocol - an ID representing the protocol in LSVProfitTracker
    /// @param token - token which is being supplied to the protocol
    /// @param amount - amount of token being supplied
    struct Params {
        uint256 protocol;
        address token;
        uint256 amount;
    }
```

### Return Value

```solidity
return bytes32(amountSentToTracker);
```

### Events and Logs

```solidity
emit ActionEvent("LSVSupply", logData);
logger.logActionDirectEvent("LSVSupply", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/lsv/lsvsupply.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
